namespace AddisonWesley.Michaelis.EssentialCSharp.Chapter02.Listing02_29
{
    public class Program
    {
        public static void Main()
        {
            double number;
            string input;

            System.Console.Write("Wprowadź liczbę: ");
            input = System.Console.ReadLine();

            if(double.TryParse(input, out number))
            {
                // Poprawna konwersja - teraz można korzystać z liczby
                // ...
            }
            else
            {
                System.Console.WriteLine(
                    "Wprowadzony tekst nie jest poprawną liczbą.");
            }
        }
    }
}
